#include "libc.c"

#define N 10

struct Person {
   short id;
   short age;
};

short
main()
{
   struct Person person_array[N];
   short i;

   for(i = 0; i < N; i++) {
      person_array[i].id = 100 + i;
      person_array[i].age = i + 1;
   }

   for(i = 0; i < N; i++) {
      printf("Person(id=%d age=%d)\r\n", 
      person_array[i].id, person_array[i].age);
   }

   return 0;
}